Name:           libwacom
Version:        2.9.0
Release:        2
Summary:        Wacom Tablets Library
Requires:       %{name}-data
License:        MIT
URL:            https://github.com/linuxwacom/libwacom
Source0:        https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc glib2-devel libgudev1-devel libevdev-devel
BuildRequires:  systemd systemd-devel libxml2-devel

%description
libwacom is a library to identify wacom tablets and their model-specific
features. 

%package devel
Summary:        Tablet Information Client Library Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig libevdev

%description devel
Development package for libwacom.

%package data
Summary:        Tablet Information Client Library Library Data Files
BuildArch:      noarch
%description data
Tablet information client library library data files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build


%install
%meson_install
install -d ${RPM_BUILD_ROOT}/%{_udevrulesdir}

%check
%meson_test

%ldconfig_scriptlets

%files
%{_libdir}/libwacom.so.*
%{_bindir}/libwacom-list-devices
%{_udevrulesdir}/65-libwacom.rules
%{_udevhwdbdir}/65-libwacom.hwdb
%{_bindir}/libwacom-list-local-devices
%{_bindir}/libwacom-show-stylus
%{_bindir}/libwacom-update-db
%{_mandir}/man1/libwacom-list-devices.1*
%{_mandir}/man1/libwacom-list-local-devices.1*
%license COPYING
%doc README.md

%files devel
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc
%{_includedir}/libwacom-1.0/libwacom/libwacom.h

%files data
%doc COPYING
%{_datadir}/libwacom/*.tablet
%{_datadir}/libwacom/*.stylus
%{_datadir}/libwacom/layouts/*.svg

%changelog
* Sat Mar 16 2024 xiasenlin <xiasenlin1@huawei.com> - 2.9.0-2
- add buildrequire:libevdev-devel to solve build error

* Tue Feb 06 2024 taoyuxiang <taoyuxiang2@huawei.com> - 2.9.0-1
- update to 2.9.0

* Fri May 26 2023 kiritakekumi <root@niconiconi.us> - 2.7.0-1
- update to 2.7.0

* Fri Feb 10 2023 Liu Yuntao <liuyuntao10@huawei.com> - 2.6.0-1
- update to 2.6.0, and update upstream URL

* Tue Oct 25 2022 Liu Yuntao <liuyuntao10@huawei.com> - 1.12-2
- rebuild package

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 1.12-1
- update to 1.12

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.7-3
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Wed Jun 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 1.7-2 
- add buildrequire git

* Mon Feb 1 2021 xinghe <xinghe1@huawei.com> - 1.7-1
- update to 1.7

* Thu Jul 30 2020 jinzhimin<jinzhimin2@huawei.com> - 1.4.1-2
- fix build failed

* Thu Jul 23 2020 jinzhimin <jinzhimin2@huawei.com> - 1.4.1-1
- Package update

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.31-2
- Package init
